commit:     83cd8d09fe42293aa5546edd92aa38aa6b3c41d5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed May 28 03:19:08 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 28 03:19:08 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83cd8d09

dev-build/automake-wrapper: add 20250528

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-build/automake-wrapper/Manifest                |  1 +
 .../automake-wrapper-20250528.ebuild               | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-build/automake-wrapper/Manifest 
b/dev-build/automake-wrapper/Manifest
index 5c6f217e9f17..2efef9f78fbe 100644
--- a/dev-build/automake-wrapper/Manifest
+++ b/dev-build/automake-wrapper/Manifest
@@ -1 +1,2 @@
 DIST autotools-wrappers-at-20240607.tar.gz 3648 BLAKE2B 
2b63c6b71b0a1eff801d011ed0829b42944dd5fa409464644036b4b312f2fd27862fa169c8d915db7daf1fb9862d52bbf9e606b274e82dfda3395e568120e6a4
 SHA512 
3754c34520109e4f2d2cbf45fe24cfc788c61210864a1199c7cc208e91c400d45533fb02934c61a5662f1402ba8464a0aa4ef16de17460646c8c176ab09df0af
+DIST autotools-wrappers-at-20250528.tar.gz 3642 BLAKE2B 
74747a89ec1177fc8020f5318c7f9e5fd15ca66e0ee5018722fdd12341ed4393962d558aaaaec270f727280d225125fd933cea49a47792b7bc75f88da70ced9e
 SHA512 
6d17649977278e2f094e8d9f941916d498292c001080cddb78367c61e4da5c221501382b1eb4f2b6e8c5b2101ce9cb2bbc4063f87e23eb1f8c99361764157b54

diff --git a/dev-build/automake-wrapper/automake-wrapper-20250528.ebuild 
b/dev-build/automake-wrapper/automake-wrapper-20250528.ebuild
new file mode 100644
index 000000000000..731042260a56
--- /dev/null
+++ b/dev-build/automake-wrapper/automake-wrapper-20250528.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Remember to modify LAST_KNOWN_AUTOMAKE_VER 'upstream' on new automake 
(major) releases!
+
+MY_P="autotools-wrappers-at-${PV}"
+
+DESCRIPTION="Wrapper for automake to manage multiple automake versions"
+HOMEPAGE="https://gitweb.gentoo.org/proj/autotools-wrappers.git";
+
+if [[ ${PV} == *9999 ]] ; then
+       EGIT_REPO_URI="
+               https://anongit.gentoo.org/git/proj/autotools-wrappers.git
+               https://github.com/gentoo/autotools-wrappers
+       "
+       inherit git-r3
+else
+       
SRC_URI="https://gitweb.gentoo.org/proj/autotools-wrappers.git/snapshot/${MY_P}.tar.gz";
+       S="${WORKDIR}"/${MY_P}
+
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+src_prepare() {
+       default
+
+       # usr/bin/aclocal: bad substitution -> /bin/sh != POSIX shell
+       if use prefix ; then
+               sed -i -e '1c\#!'"${EPREFIX}"'/bin/sh' am-wrapper.sh || die
+       fi
+}
+
+src_install() {
+       exeinto /usr/$(get_libdir)/misc
+       doexe am-wrapper.sh
+
+       local x=
+       for x in automake aclocal ; do
+               dosym -r /usr/$(get_libdir)/misc/am-wrapper.sh /usr/bin/${x}
+       done
+
+       keepdir /usr/share/aclocal
+}

Reply via email to